# B15F: USARTException Class Reference

USARTException Class Reference

`#include <usartexception.h>`

Inheritance diagram for USARTException:

## Public Member Functions

| USARTException (const char *message)
| USARTException (const std::string &message)
virtual | ~USARTException ()=default
virtual const char * | what () const throw ()

## Protected Attributes

std::string | msg
| failure description

## Detailed Description

Exception for USART problems, for instance buffer overflow.

Definition at line 9 of file usartexception.h.

## Constructor & Destructor Documentation

## USARTException() [1/2]

USARTException::USARTException | ( | const char * | message | ) |

inlineexplicit

Constructor

Parameters

  message | as c-string

Definition at line 16 of file usartexception.h.

## USARTException() [2/2]

USARTException::USARTException | ( | const std::string & | message | ) |

inlineexplicit

Constructor

Parameters

  message | as c++-string

Definition at line 24 of file usartexception.h.

## ~USARTException()

virtual USARTException::~USARTException | ( |  | ) |

virtualdefault

Standard-destructor

## Member Function Documentation

## what()

virtual const char* USARTException::what | ( |  | ) | const
throw | ( |
| ) |  |

inlinevirtual

Get failure description

Returns
  error message as c-string

Definition at line 37 of file usartexception.h.

The documentation for this class was generated from the following file:

- drv/usartexception.h